Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.util
Class DxCommand

    java.lang.Object
      com.novell.nds.dirxml.util.DxCommand

    public class DxCommand

extends Object

Command line program that supports various DirXML-related eDir verbs.

Requires JClient.

Method Summary
`static int` | `commandLine(NodeSet argSet)` Run DxCommand with arguments in a NodeSet.
`static int` | `commandLine(ResultTreeFragment rtf)` Run DxCommand with arguments in a ResultTreeFragment.
`static int` | `commandLine(String commandLineArgs)` Run DxCommand with a single string containing the command line arguments.
`static int` | `commandLine(String[] args)` Run `DxCommand` with command line arguments.
`static void` | `main(String[] args)` The main method for the command-line verb tester.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)

  The main method for the command-line verb tester. Calls `System.exit()`.

  Parameters:
    `args` - the command line arguments

### commandLine

    public static int commandLine(String[] args)

  Run `DxCommand` with command line arguments. Doesn't call `System.exit()`.

  Parameters:
    `args` - the command line arguments

### commandLine

    public static int commandLine(NodeSet argSet)

  Run DxCommand with arguments in a NodeSet. The XPath node value of each node in the node set is obtained and used as one of the command line arguments.

  Parameters:
    `argSet` - node set with command line arguments

### commandLine

    public static int commandLine(String commandLineArgs)

  Run DxCommand with a single string containing the command line arguments. The string is parsed into separate arguments and commandLine(String[]) is called.

  Parameters:
    `commandLineArgs` - a single string with command line arguments to parse

### commandLine

    public static int commandLine(ResultTreeFragment rtf)

  Run DxCommand with arguments in a ResultTreeFragment. The ResultTreeFragment root is obtained and its children iterated. The XPath node value of each child is obtained and used as one of the command line arguments.

  Parameters:
    `rtf` - result tree fragment with with command line arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD